%global pkg_name uniplate

%global common_summary Haskell Uniform type generic traversals library

%global common_description Uniplate is a boilerplate removal library, with similar goals to the\
original Scrap Your Boilerplate work. It requires few extensions to\
Haskell.

Name:           ghc-%{pkg_name}
Version:        1.6
Release:        6%{?dist}
Summary:        %{common_summary}
Group:          System Environment/Libraries
License:        BSD
URL:            http://community.haskell.org/~ndm/uniplate/
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-containers-prof, ghc-syb-prof

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 1.6-6
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)
- no longer requires mtl

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.6-5
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 1.6-3
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 1.6-2
- rebuild

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 1.6-1
- update to 1.6
- depends on syb

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 1.5.1-4
- update to latest macros, hscolour and drop doc pkg (cabal2spec-0.22.2)

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 1.5.1-3
- strip shared library (cabal2spec-0.21.4)

* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 1.5.1-1
- Update to 1.5.1

* Fri Jan 22 2010 Jens Petersen <petersen@redhat.com> - 1.4-1
- update to 1.4

* Tue Jan 12 2010 Jens Petersen <petersen@redhat.com> - 1.2.0.3-8
- rebuild against ghc-mtl package

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 1.2.0.3-7
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package and ghc_pkg_deps
- build shared library
- drop redundant buildroot and its install cleaning

* Tue Aug  4 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 1.2.0.3-6
- rebuild against new ghc

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 28 2009 Jens Petersen <petersen@redhat.com> - 1.2.0.3-4
- update to cabal2spec-0.16
- uncomment LICENSE in devel filelist!

* Fri Mar 20 2009 Conrad Meyer <konrad@tylerc.org> - 1.2.0.3-3
- Fix URL.

* Thu Mar 19 2009 Conrad Meyer <konrad@tylerc.org> - 1.2.0.3-2
- Update to new cabal2spec template.

* Mon Jan 12 2009 Conrad Meyer <konrad@tylerc.org> - 1.2.0.3-1
- initial packaging for Fedora created by cabal2spec
